bytestring-nums-0.3.5: Parse numeric literals from ByteStrings.

Safe Haskell | None

Data.ByteString.Nums.Careless.Float

Synopsis

- class (Intable b f, Fractional f) => Floatable b f where
  - float :: b -> f
- strict_float :: Fractional a => ByteString -> a
- lazy_float :: Fractional a => ByteString -> a
- point :: Char -> Bool

# Documentation

class (Intable b f, Fractional f) => Floatable b f where Source

Types that can be read from floating point strings. A floating point string is taken to be a string of digits with up to one comma or period mixed in with the digits.

Methods

float :: b -> fSource

Instances

Floatable ByteString Double |
Floatable ByteString Float |
Floatable ByteString Rational |
Floatable ByteString Double |
Floatable ByteString Float |
Floatable ByteString Rational |

strict_float :: Fractional a => ByteString -> aSource

lazy_float :: Fractional a => ByteString -> aSource

point :: Char -> Bool Source